const isMac = /mac os x/i.test(navigator.userAgent);
const keyEnum = {
  mod: isMac ? "⌘" : "Ctrl",
  cmd: isMac ? "⌘" : "Ctrl",
  command: isMac ? "⌘" : "Ctrl",
  alt: isMac ? "⌥" : "Alt",
  option: isMac ? "⌥" : "Alt",
  shift: isMac ? "⇧" : "Shift"
};
function makeKeyMapWithCommon(keys, separator) {
  return keys.map((key) => {
    let t = key + "";
    if (key.indexOf(",") < 0) {
      t = t.toLowerCase();
    }
    return keyEnum[t] || t[0].toUpperCase() + t.substring(1);
  }).join(separator ?? " ");
}
export {
  makeKeyMapWithCommon as m
};
